This page was not yet optimized for use on mobile devices.
CliniComp Data Acquisition Cryptographic Module
Certificate details
| Certificate ID | #4032 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 17.09.2021 , 05.09.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | Medical device integration and data acquisition for all categories of devices including waveforms. |
| Tested configurations |
|
| Vendor | CliniComp, Intl. http://www.clinicomp.com |
| Lab | atsec information security corporation |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES128, AES192, AES256, AES-, AES-256, CAST, CAST5, RC2, RC4, RC5, DES, Triple-DES, ChaCha20, Poly1305, IDEA, Blowfish, Camellia, ARIA, HMAC, CMACAsymmetric Algorithms
ECDH, ECDSA, ECC, Diffie-Hellman, DH, DHE, DSAHash functions
SHA-1, SHA3-256, SHA-3, SHA3-224, SHA3-384, SHA3-512, Blake2, MD4, MD5, RIPEMD, PBKDFSchemes
MAC, Key Exchange, Key Agreement, Key agreement, PAKEProtocols
TLS, TLS v1.2, TLS v1.0, TLS 1.0, IKERandomness
PRNG, DRBG, RNGLibraries
OpenSSLElliptic Curves
P-192, P-224, P-256, P-384, P-521Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XTSJavaCard API constants
SM2Trusted Execution Environments
SSCVendor
NXP, BroadcomSecurity level
Level 1Standards
FIPS 140-2, FIPS 140, FIPS197, FIPS186-4, FIPS198-1, FIPS180-4, FIPS202, FIPS 186-4, FIPS140-2, FIPS PUB 140-2, FIPS PUB 180-4, FIPS PUB 186-4, FIPS PUB 198-1, SP 800-90A, NIST SP 800-90A, NIST SP 800-135, SP 800-52, SP 800-131A, SP 800-135, SP 800-38A, SP 800-38C, SP 800-38B, SP 800-38D, SP 800-38E, SP 800-38F, SP 800-132, RFC8809, RFC5288, RFC5246, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4032,
"dgst": "01ab41be9955d2aa",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"KBKDF#A804",
"#A800",
"ECDSA#A800",
"KTS#A802",
"RSA#A800",
"PBKDF#A799",
"CVL#A800",
"#A799",
"HMAC#A800",
"ECDSA#A863",
"#A804",
"PBKDF#A800",
"SHA-3#A799",
"KAS#A800",
"#A863",
"KAS-SSC#A800",
"AES#A801",
"#A801",
"HMAC#A799",
"SHS#A800",
"AES#A802",
"KTS#A800",
"#A802",
"DRBG#A802"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 39,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 4
},
"ECDH": {
"ECDH": 1
},
"ECDSA": {
"ECDSA": 29
}
},
"FF": {
"DH": {
"DH": 1,
"DHE": 1,
"Diffie-Hellman": 21
},
"DSA": {
"DSA": 7
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 1
},
"CCM": {
"CCM": 4
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 1
},
"GCM": {
"GCM": 11
},
"OFB": {
"OFB": 1
},
"XTS": {
"XTS": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 5
}
},
"crypto_protocol": {
"IKE": {
"IKE": 1
},
"TLS": {
"TLS": {
"TLS": 40,
"TLS 1.0": 1,
"TLS v1.0": 2,
"TLS v1.2": 8
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 5,
"Key agreement": 4
},
"KEX": {
"Key Exchange": 2
},
"MAC": {
"MAC": 9
},
"PAKE": {
"PAKE": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-192": 2,
"P-224": 10,
"P-256": 16,
"P-384": 12,
"P-521": 12
}
},
"eval_facility": {
"atsec": {
"atsec": 38
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES-256": 2,
"AES128": 2,
"AES192": 2,
"AES256": 2,
"Cert# AES": 1,
"HMAC-SHA-1": 4,
"HMAC-SHA2": 6,
"RSA 4": 1,
"SHA-1": 11,
"SHA-3": 4,
"SHA2- 224": 1,
"SHA2- 256": 2,
"SHA2- 512": 1,
"SHA2-224": 8,
"SHA2-256": 17,
"SHA2-384": 12,
"SHA2-512": 7,
"SHA2-512 1024": 1,
"SHA2-512 112": 1,
"SHA2-512 2048": 2,
"SHA3- 224": 1,
"SHA3-224": 3,
"SHA3-256": 6,
"SHA3-384": 4,
"SHA3-512": 4,
"SHA3-512 112": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 3
}
},
"hash_function": {
"BLAKE": {
"Blake2": 2
},
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"PBKDF": {
"PBKDF": 18
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 11
},
"SHA3": {
"SHA-3": 4,
"SHA3-224": 3,
"SHA3-256": 6,
"SHA3-384": 4,
"SHA3-512": 5
}
}
},
"ic_data_group": {},
"javacard_api_const": {
"curves": {
"SM2": 5
}
},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 29,
"PRNG": 1
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 2,
"FIPS 140-2": 57,
"FIPS 186-4": 3,
"FIPS PUB 140-2": 2,
"FIPS PUB 180-4": 2,
"FIPS PUB 186-4": 2,
"FIPS PUB 198-1": 2,
"FIPS140-2": 3,
"FIPS180-4": 1,
"FIPS186-4": 10,
"FIPS197": 8,
"FIPS198-1": 2,
"FIPS202": 2
},
"NIST": {
"NIST SP 800-135": 1,
"NIST SP 800-90A": 1,
"SP 800-131A": 2,
"SP 800-132": 2,
"SP 800-135": 2,
"SP 800-38A": 2,
"SP 800-38B": 2,
"SP 800-38C": 2,
"SP 800-38D": 2,
"SP 800-38E": 2,
"SP 800-38F": 2,
"SP 800-52": 1,
"SP 800-90A": 1
},
"RFC": {
"RFC5246": 1,
"RFC5288": 1,
"RFC8809": 1
},
"X509": {
"X.509": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 36,
"AES-": 1,
"AES-256": 2,
"AES128": 2,
"AES192": 2,
"AES256": 2
},
"CAST": {
"CAST": 2,
"CAST5": 2
},
"RC": {
"RC2": 2,
"RC4": 2,
"RC5": 2
}
},
"DES": {
"3DES": {
"Triple-DES": 5
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"CMAC": 7,
"HMAC": 25
}
},
"djb": {
"ChaCha": {
"ChaCha20": 2
},
"Poly": {
"Poly1305": 2
}
},
"miscellaneous": {
"ARIA": {
"ARIA": 2
},
"Blowfish": {
"Blowfish": 2
},
"Camellia": {
"Camellia": 2
},
"IDEA": {
"IDEA": 2
}
}
},
"tee_name": {
"IBM": {
"SSC": 1
}
},
"tls_cipher_suite": {},
"vendor": {
"Broadcom": {
"Broadcom": 1
},
"NXP": {
"NXP": 1
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KBKDF#A804",
"HMAC#A800",
"HMAC#A799",
"KAS#A800",
"SHS#A800",
"ECDSA#A800",
"AES#A802",
"ECDSA#A863",
"KTS#A802",
"KAS-SSC#A800",
"DRBG#A802",
"PBKDF#A800",
"AES#A801",
"KTS#A800",
"SHA-3#A799",
"RSA#A800",
"PBKDF#A799",
"CVL#A800"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A800",
"#A863",
"#A804",
"#A801",
"#A802",
"#A799"
]
},
"policy_metadata": {
"/Author": "Marcos Portnoi",
"/CreationDate": "D:20230825155813-05\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2010",
"/ModDate": "D:20230825155813-05\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2010",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 745215,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=33394",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=33395",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=33398",
"https://www.clinicomp.com/",
"http://csrc.nist.gov/groups/STM/cmvp/index.html",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=33397",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=33399",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=33396",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=33461"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 38
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "42631f5f1f4be3cf0f2bbe448ba5ce088f633480a2428e78e432edd45fd32dd9",
"source_hash": "ce2a602a953a0f5077dc08fb989f22ab9ee13805deb6a3516954346f46abc856",
"txt_hash": "4ae2ec42fe379b154ce18cd46893f150f1e30de831847fabb3c9dd201a1d8887"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/September 2021_011021_0714_Signed2.pdf",
"date_sunset": null,
"description": "Medical device integration and data acquisition for all categories of devices including waveforms.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "CliniComp Data Acquisition Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "cci-das-fips-crypto-1.0",
"tested_conf": [
"Linux ndas-hkpg 4.19.81 running on Raspberry Pi Zero W Rev 1.1 with Broadcom BCM2835 ARM1176jzf-s ARMv6 without PAA",
"Linux ndas-x223 5.4.84-dey+gaca7adfe2d84 running on Digi International ConnectCore 6UL SBC with NXP i.MX6 Ultralite cortexas7t2hf ARMv7 without PAA (single-user mode)."
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-09-17",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-09-05",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "CliniComp, Intl.",
"vendor_url": "http://www.clinicomp.com"
}
}